<?php
### Версия ПО (ДМ) 1.0.0.0 ( (c)2018 MISOFT Продукт защищен регистрацией патента и авторских прав! www.misoft.studio )
######################################################################################################################

if ( !defined('MISOFT' ) ) { exit(); }

switch ( $_GET['go'] ) {
    #Временые страницы (не трогать, заглушки дорабатываемых разделов)
	case 'vkontakte':
        include_once ROOT_DIR . '/modules/coding.php';
        break;
	case 'youtube':
        include_once ROOT_DIR . '/modules/coding.php';
        break;
	case 'entertainment':
        include_once ROOT_DIR . '/modules/coding.php';
        break;
		
	# Чат пользователей (общий)
	 case 'chat':
        include_once ROOT_DIR . '/modules/chat/chat.php';
        break;
		
	# Авторизация
	  case 'wmlogin':
        include_once ROOT_DIR . '/modules/wmlogin.php'; #авторизация webmoney
        break;
      case 'login':
        include_once ROOT_DIR . '/modules/login.php'; #авторизация
        break;
      case 'recovery':
        include_once ROOT_DIR . '/modules/recovery.php'; #востановление пароля
        break;
      case 'registration':
        include_once ROOT_DIR . '/modules/registration.php'; #регистрация
        break;
	  case 'exit':
        include_once ROOT_DIR . '/modules/exit.php'; #выход
        break;
	
	# Аккаунт
	  case 'profile':
        include_once ROOT_DIR . '/modules/profiles/profile.php'; #профиль пользователя
        break;
      case 'mstatistic':
        include_once ROOT_DIR . '/modules/profiles/mstatistic.php'; #профиль пользователя статистика
        break;
	  case 'wall':
        include_once ROOT_DIR . '/modules/walls/wall.php'; #стена пользователя
        break;
	  case 'history':
        include_once ROOT_DIR . '/modules/history/history.php'; #история операций
        break;
	  case 'events':
        include_once ROOT_DIR . '/modules/events/events.php'; #события
        break;
	
	# Реф-раздел
	  case 'ref_mailing':
        include_once ROOT_DIR . '/modules/referrals/mailing.php'; #привествие рефералам
        break;
	  case 'greeting':
        include_once ROOT_DIR . '/modules/referrals/greeting.php'; #рассылка рефералам
        break;
	  case 'ref_banners':
        include_once ROOT_DIR . '/modules/referrals/banners.php'; #реф-баннеры
        break;
      case 'referrals':
        include_once ROOT_DIR . '/modules/referrals/referrals.php'; #список рефералов
        break;
	  case 'free-referrals':
        include_once ROOT_DIR . '/modules/referrals/free_referrals.php'; #свободные рефералы
        break;
	  case 'referral_fair':
        include_once ROOT_DIR . '/modules/referrals/fair.php'; #ярмарка
        break;
	  case 'addcontests':
        include_once ROOT_DIR . '/modules/referral_contests/add.php'; #создать конкурсы рефералам
        break;
      case 'contests':
        include_once ROOT_DIR . '/modules/referral_contests/show_referal.php'; #конкурсы рефералам
        break;
      case 'manager_contests':
        include_once ROOT_DIR . '/modules/referral_contests/show_referer.php'; #конкурсы рефералам
        break;
      case 'contests_result':
        include_once ROOT_DIR . '/modules/referral_contests/result.php'; #результаты конкурсов рефералам
        break;
      case 'manager_contests_result':
        include_once ROOT_DIR . '/modules/referral_contests/result2.php'; #результаты конкурсов рефералам
        break;
	
	# Топ пользователей	
	  case 'top':
        include_once ROOT_DIR . '/modules/top/top.php'; #топ
        break;
	
    # Корзина
	  case 'basket':
        include_once ROOT_DIR . '/modules/basket.php'; #корзина
        break;
	
	# Заказ рекламы
	  case 'testdrive':
        include_once ROOT_DIR . '/modules/dynlink/addtestdrive.php'; #заказ серфинга (test drive)
        break;
	  case 'adddyn':
        include_once ROOT_DIR . '/modules/dynlink/add.php'; #заказ серфинга
        break;
	  case 'addautodyn':
        include_once ROOT_DIR . '/modules/autodynlink/add.php'; #заказ авто-серфинга
        break;
	  case 'addchain':
        include_once ROOT_DIR . '/modules/advertising-chain/add.php'; #заказ контекстной рекламы
        break;
	  case 'addstatlink':
        include_once ROOT_DIR . '/modules/statlink/add.php'; #заказ статистических ссылок
        break;
	  case 'addtests':
        include_once ROOT_DIR . '/modules/tests/add.php'; #заказ тестов
        break;
	  case 'addklink':
        include_once ROOT_DIR . '/modules/klink/add.php'; #заказ контекстной рекламы
        break;
	  case 'addbanner200x300':
        include_once ROOT_DIR . '/modules/banner200x300/add.php'; #заказ баннера 200 х 300
        break;
	  case 'addbanner468x60':
        include_once ROOT_DIR . '/modules/banner468x60/add.php'; #заказа баннера 468 х 60
        break;
	  case 'addtasks':
        include_once ROOT_DIR . '/modules/tasks/add.php'; #добавить задание
        break;
		
	# Редактирование рекламных площадок
	  case 'klinkedit':
        include_once ROOT_DIR . '/modules/klink/edit.php'; #контекстная реклама (редактирование)
        break;
	  case 'testsedit':
        include_once ROOT_DIR . '/modules/tests/edit.php'; #тесты (редактирование)
        break;
	  case 'tasksedit':
        include_once ROOT_DIR . '/modules/tasks/edit.php'; #редактирование задания
        break;
	  case 'statlinkedit':
        include_once ROOT_DIR . '/modules/statlink/edit.php'; #статистическая реклама (редактирование)
        break;
	  case 'chainedit':
        include_once ROOT_DIR . '/modules/advertising-chain/edit.php'; #контекстная реклама (редактирование)
        break;
	  case 'dynedit':
        include_once ROOT_DIR . '/modules/dynlink/edit.php'; #серфинг (редактирование)
        break;
	  case 'autodynedit':
        include_once ROOT_DIR . '/modules/autodynlink/edit.php'; #авто-серфинг (редактирование)
        break;	
		
	# Управление рекламными площадками
	  case 'mklink':
        include_once ROOT_DIR . '/modules/klink/mklink.php'; #контекстная реклама (управление рекламой)
        break;
	  case 'mtests':
        include_once ROOT_DIR . '/modules/tests/mtests.php'; #тесты (управление рекламой)
        break;
	  case 'mbanner200x300':
        include_once ROOT_DIR . '/modules/banner200x300/mbanner.php'; #баннера 200 х 300 (управление рекламой)
        break;	
	  case 'mbanner468x60':
        include_once ROOT_DIR . '/modules/banner468x60/mbanner.php'; #баннера 468 х 60 (управление рекламой)
        break;	
	  case 'mtasks':
        include_once ROOT_DIR . '/modules/tasks/mtasks.php'; #управление заданиями
        break;
	  case 'mchain':
        include_once ROOT_DIR . '/modules/advertising-chain/mchain.php'; #контекстная реклама (управление рекламой)
        break;	
	  case 'mstatlink':
        include_once ROOT_DIR . '/modules/statlink/mstatlink.php'; #статистическая реклама (управление рекламой)
        break;	
	  case 'mdyn':
        include_once ROOT_DIR . '/modules/dynlink/mdyn.php'; #серфинг (управление рекламой)
        break;
	  case 'mautodyn':
        include_once ROOT_DIR . '/modules/autodynlink/mdyn.php'; #авто-серфинг (управление рекламой)
        break;
		
	# Раздел заработок (задания).
      case 'tasks':
        include_once ROOT_DIR . '/modules/tasks/show.php'; #показ задания
        break;
      case 'tasksview':
        include_once ROOT_DIR . '/modules/tasks/view.php'; #выполнение задания
        break;
      case 'tasks_work':
        include_once ROOT_DIR . '/modules/tasks/alltasks.php'; #начатые задания
        break;
      case 'tasks_wait':
        include_once ROOT_DIR . '/modules/tasks/alltasks.php'; #в ожидании задания
        break;
      case 'tasksok':
        include_once ROOT_DIR . '/modules/tasks/alltasks.php'; #завершенные задания
        break;
      case 'selected_tasks':
        include_once ROOT_DIR . '/modules/tasks/alltasks.php'; #завершенные задания
        break;
	
	# Раздел заработок (тесты).
      case 'tests':
        include_once ROOT_DIR . '/modules/tests/show.php'; #тесты
        break;
      case 'testview':
        include_once ROOT_DIR . '/modules/tests/view.php'; #тесты выполнение
        break;
	
	# Раздел заработок (серфинг).
      case 'serfing':
        include_once ROOT_DIR . '/modules/dynlink/show.php'; #список серфинг
        break;
	
	# Раздел заработок (авто-серфинг).
      case 'auto_serfing':
        include_once ROOT_DIR . '/modules/autodynlink/show.php'; #список серфинг
        break;
	
    # Бонусы
      case 'bonus':
        include_once ROOT_DIR . '/modules/bonus/bonus.php'; #бонус
        break;
    
    # Месенджер (внутреняя почта сайта)
      case 'msg':
        include_once ROOT_DIR . '/modules/message/msg.php'; #сообщения
        break;
      case 'mread':
        include_once ROOT_DIR . '/modules/message/mread.php'; #чтение входящих сообщений
        break;
      case 'mout':
        include_once ROOT_DIR . '/modules/message/mout.php'; #чтение исходящих сообщений
        break;
		
	# Информация
	  case 'status':
        include_once ROOT_DIR . '/modules/status.php'; #статус и рейтинг
        break;
	  case 'rules':
        include_once ROOT_DIR . '/modules/rules.php'; #правила
        break;
      case 'policy':
        include_once ROOT_DIR . '/modules/policy.php'; #правила
        break;	
      case 'news':
        include_once ROOT_DIR . '/modules/news/news.php'; #новости
        break;
	  case 'contacts':
        include_once ROOT_DIR . '/modules/contacts.php'; #контакты
        break;
      case 'faq':
        include_once ROOT_DIR . '/modules/faq.php'; #справка
        break;
     
    # Форум
	  case 'forum':
        include_once ROOT_DIR . '/modules/forum/forum.php'; #форум
        break;
      case 'topic':
        include_once ROOT_DIR . '/modules/forum/topic.php'; #топик
        break;
      case 'posts':
        include_once ROOT_DIR . '/modules/forum/posts.php'; #сообщения форума
        break;
		
	# Конкурсы от администрации
	  case 'competition':
        include_once ROOT_DIR . '/modules/global_competition/show.php'; #Конкурсы глобальные
        break;
      case 'end_competition':
        include_once ROOT_DIR . '/modules/global_competition/end.php'; #Результаты глобальных конкурсов
        break;
		
	# Финансы
	  case 'payuser':
        include_once ROOT_DIR . '/modules/pay/payuser.php'; #вывод средств из системы
        break;
	  case 'advertising':
        include_once ROOT_DIR . '/modules/pay/advertising.php'; #пополнение рекламного счета
        break;
      case 'payments':
        include_once ROOT_DIR . '/modules/payments.php'; #история заказов
        break;
    
	# Другие 
      case 'catalog':
        include_once ROOT_DIR . '/modules/catalog/catalog.php'; #каталог сайтов
        break;
      case 'home':
        include_once ROOT_DIR . '/modules/home.php'; #главная страница
        break;
      case 'board':
        include_once ROOT_DIR . '/modules/board_user/board.php'; #Доска
        break;
      case 'adv_order':
        include_once ROOT_DIR . '/modules/advertising_order/advertising_order.php'; #Доска 
        break;
	
	# Тикет система поддержки
	  case 'add_tickets':
        include_once ROOT_DIR . '/modules/tickets/add_tickets.php'; #Техподдержка
        break;
	  case 'tickets':
        include_once ROOT_DIR . '/modules/tickets/tickets.php'; #Техподдержка
        break;
      case 'support':
        include_once ROOT_DIR . '/modules/tickets/support.php'; #Техподдержка
        break;
	
}

if ( isset( $_GET['r'] ) ) {
    include_once ROOT_DIR . '/modules/home.php'; #главная страница
}

if ( !isset( $_GET['go'] ) ) {
    include_once ROOT_DIR . '/modules/home.php'; #главная страница
}
?>